std::ranges::lazy_split_view::begin(3)

NAME
std::ranges::lazy_split_view::begin - std::ranges::lazy_split_view::begin

Synopsis
   constexpr auto begin(); (1) (since C++20)
   constexpr auto begin() const
     requires ranges::forward_range<V> && ranges::forward_range<const (2) (since C++20)
   V>;
   Returns an outer_iterator to the first element of the lazy_split_view.
   Let base_ be the underlying view.
   1) Equivalent to
 constexpr auto begin() {
   if constexpr (ranges::forward_range<V>)
     return /*outer_iterator*/</*simple_view*/<V>>{*this, ranges::begin(base_)};
   else {
     current_ = ranges::begin(base_);
     return /*outer_iterator*/<false>{*this};
   }
 }
   2) Equivalent to return /*outer_iterator*/<true>{*this, ranges::begin(base_)};.

Parameters
   (none)

Return value
   outer_iterator to the first element.

Example
    This section is incomplete
    Reason: no example

See also
   end returns an iterator or a sentinel to the end
   (C++20) (public member function)
   ranges::begin returns an iterator to the beginning of a range
   (C++20) (customization point object)

Category:
     * Todo no example